commit:     3535975cfd500525a358cd54e9f91036b93856a8
Author:     Marc Cramer <m1027 <AT> posteo <DOT> net>
AuthorDate: Thu Aug 18 20:26:37 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Aug 19 03:28:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3535975c

app-misc/mosquitto: Version bump to 2.0.15

... with some updates by mattst88:

* Bump to EAPI=8
* Add Python 3.11 compatibility
* Move ${PYTHON_DEPS} from DEPEND to BDEPEND, and only under USE=test
* Move python_setup to pkg_setup(), and only under USE=test
* Call python_fix_shebang only under USE=test
* Remove no-op prestripping sed
* Update failing test list

Closes: https://github.com/gentoo/gentoo/pull/26915
Signed-off-by: Marc Cramer <m1027 <AT> posteo.net>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-misc/mosquitto/Manifest                |   1 +
 app-misc/mosquitto/mosquitto-2.0.15.ebuild | 125 +++++++++++++++++++++++++++++
 2 files changed, 126 insertions(+)

diff --git a/app-misc/mosquitto/Manifest b/app-misc/mosquitto/Manifest
index c5a5d28f4bef..b02492d6ee37 100644
--- a/app-misc/mosquitto/Manifest
+++ b/app-misc/mosquitto/Manifest
@@ -1 +1,2 @@
 DIST mosquitto-2.0.14.tar.gz 787414 BLAKE2B 
926e39756a0293404c8591e489e64e47cd95640d7884f2cfb687a0d548b709d8aff6d671a4941aae8b3506315d28567520c183b762639822d2d78afe323d111e
 SHA512 
a9e4f41b9af679b30318570e86a465546024651373df10e3b132f4593b89d22d0dbac01bb7371a57132ba030a2e73971c612acb5c9ac12f5ccd06aa38d9444c2
+DIST mosquitto-2.0.15.tar.gz 792632 BLAKE2B 
a6e986998473c16efd4c5fc5fd743782e085b3e7e30bcdcb867f0ae87f85e608f5d50d0dcc5bbbcc2f25eb6a618ab2f287fdcba47660fa593fe1636d08eb183e
 SHA512 
8a0c58222ea0b9304e7f096f6d13965478072baf1d1c9bc931b32a33f5ea8196c2dd54bde8d83fec7ed9cd413cb5fb115ce0a6701ca20664df52fdd7ca63ddaf

diff --git a/app-misc/mosquitto/mosquitto-2.0.15.ebuild 
b/app-misc/mosquitto/mosquitto-2.0.15.ebuild
new file mode 100644
index 000000000000..a584158956db
--- /dev/null
+++ b/app-misc/mosquitto/mosquitto-2.0.15.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit python-any-r1 systemd toolchain-funcs
+
+DESCRIPTION="An Open Source MQTT v3 Broker"
+HOMEPAGE="https://mosquitto.org/ https://github.com/eclipse/mosquitto";
+SRC_URI="https://mosquitto.org/files/source/${P}.tar.gz";
+
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="bridge examples +persistence +srv ssl tcpd test websockets"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="test? ( bridge )"
+
+RDEPEND="
+       acct-user/mosquitto
+       acct-group/mosquitto
+       dev-libs/cJSON:=
+       srv? ( net-dns/c-ares:= )
+       ssl? (
+               dev-libs/openssl:0=
+       )
+       tcpd? ( sys-apps/tcp-wrappers )
+"
+DEPEND="
+       ${RDEPEND}
+       test? ( dev-util/cunit )
+       websockets? ( net-libs/libwebsockets[lejp] )
+"
+BDEPEND="
+       test? ( ${PYTHON_DEPS} )
+"
+
+pkg_setup() {
+       use test && python_setup
+}
+
+_emake() {
+       local LIBDIR=$(get_libdir)
+       emake \
+               CC="$(tc-getCC)" \
+               CXX="$(tc-getCXX)" \
+               CLIENT_LDFLAGS="${LDFLAGS}" \
+               LIB_SUFFIX="${LIBDIR:3}" \
+               WITH_BRIDGE="$(usex bridge)" \
+               WITH_PERSISTENCE="$(usex persistence)" \
+               WITH_SRV="$(usex srv)" \
+               WITH_TLS="$(usex ssl)" \
+               WITH_WEBSOCKETS="$(usex websockets)" \
+               WITH_WRAP="$(usex tcpd)" \
+               "$@"
+}
+
+src_prepare() {
+       default
+       if use persistence; then
+               sed -i -e "/^#autosave_interval/s|^#||" \
+                       -e "s|^#persistence false$|persistence true|" \
+                       -e "/^#persistence_file/s|^#||" \
+                       -e "s|#persistence_location|persistence_location 
/var/lib/mosquitto/|" \
+                       mosquitto.conf || die
+       fi
+
+       # Remove failing tests
+       sed -i \
+               -e '/06-bridge-reconnect-local-out.py/d' \
+               test/broker/Makefile || die
+       sed -i \
+               -e '/02-subscribe-qos1-async2.test/d' \
+               test/lib/Makefile || die
+
+       # Extend test timeout to prevent spurious failures
+       sed -i -e 's/SUB_TIMEOUT=1/SUB_TIMEOUT=3/' \
+               test/client/test.sh || die
+
+       use test && python_fix_shebang test
+}
+
+src_compile() {
+       _emake
+}
+
+src_test() {
+       _emake test
+}
+
+src_install() {
+       _emake DESTDIR="${D}" prefix=/usr install
+       keepdir /var/lib/mosquitto
+       fowners mosquitto:mosquitto /var/lib/mosquitto
+       dodoc README.md CONTRIBUTING.md ChangeLog.txt
+       doinitd "${FILESDIR}"/mosquitto
+       insinto /etc/mosquitto
+       doins mosquitto.conf
+       insinto /usr/share/mosquitto
+       doins misc/letsencrypt/mosquitto-copy.sh
+       systemd_dounit "${FILESDIR}/mosquitto.service"
+
+       if use examples; then
+               docompress -x "/usr/share/doc/${PF}/examples"
+               dodoc -r examples
+       fi
+}
+
+pkg_postinst() {
+       for v in ${REPLACING_VERSIONS}; do
+               if [[ $(ver_cut 1 "$v") -lt 2 ]]; then
+                       elog
+                       elog "Please read the migration guide at:"
+                       elog 
"https://mosquitto.org/documentation/migrating-to-2-0/";
+                       elog
+                       elog "If you use Lets Encrypt TLS certificates, take 
note of"
+                       elog "the changes required to run the daemon as the 
unprivileged"
+                       elog "mosquitto user. The mosquitto-copy.sh script has 
been"
+                       elog "installed to /usr/share/mosquitto/ for your 
convenience."
+                       elog
+               fi
+       done
+}

Reply via email to